## linux-backports-modules-2.6.24 2.6.24-29.88netbook01

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_USB_UVCCAM) += media/usbvideo/
obj-$(CONFIG_USB_BCM_TCOUCHPAD) += input/mouse/
obj-$(CONFIG_USB_WACOM_TABLET)	+= input/tablet/
obj-$(CONFIG_IGB) += net/igb/
obj-$(CONFIG_E1000E) += net/e1000e/
obj-$(CONFIG_APPLESMC) += hwmon/

=== updates/compat-wireless-2.6/Makefile ===
KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin $(KLIB)), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
# Sometimes not available in the path
MODPROBE := /sbin/modprobe
MADWIFI=$(shell $(MODPROBE) -l ath_pci)

ifneq ($(KERNELRELEASE),)

include $(M)/$(COMPAT_CONFIG)

NOSTDINC_FLAGS := -I$(M)/include/ -include $(M)/include/net/compat.h $(CFLAGS)

obj-y := net/wireless/ net/mac80211/
ifeq ($(ONLY_CORE),)
obj-y += net/ieee80211/ \
	drivers/ssb/ \
	drivers/misc/ \
	drivers/net/ \
	drivers/net/usb/ \
	drivers/net/wireless/
endif

else

export PWD :=	$(shell pwd)

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG=config.mk
export CONFIG_CHECK=.$(COMPAT_CONFIG)_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
-export CREL=$(shell cat $(PWD)/compat-release)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(CREL_PRE)$(CREL)

include $(PWD)/$(COMPAT_CONFIG)

all: modules

modules: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules

# With the above and this we make sure we generate a new compat autoconf per
# new relase of compat-wireless-2.6 OR when the user updates the 
# $(COMPAT_CONFIG) file
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	@rm -f $(CONFIG_CHECK)
	@./scripts/check_config.sh
	@touch $@
	@md5sum $(COMPAT_CONFIG) > $(CONFIG_CHECK)

install: uninstall modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@# All the scripts we can use
	@mkdir -p /usr/lib/compat-wireless/
	@install scripts/modlib.sh	/usr/lib/compat-wireless/
	@install scripts/madwifi-unload	/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	/usr/sbin/
	@install scripts/b43enable	/usr/sbin/
	@install scripts/athload	/usr/sbin/
	@install scripts/b43load	/usr/sbin/
	@if [ ! -z $(MADWIFI) ]; then \
		echo ;\
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		/usr/sbin/athenable ath5k ;\
	fi
	@/sbin/depmod -ae
	@echo
	@echo "Currently detected wireless subsystem modules:"
	@echo 
	@$(MODPROBE) -l mac80211
	@# rc80211_simple is a module only on 2.6.22 and 2.6.23
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l at76_usb
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l ieee80211
	@$(MODPROBE) -l ieee80211_crypt
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l ub8xxx
	@$(MODPROBE) -l p54_pci
	@$(MODPROBE) -l p54_usb
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@# rc80211_simple is no longer a module
	@#$(MODPROBE) -l rc80211_simple
	@$(MODPROBE) -l zd1211rw
	@echo 
	@echo Now run:
	@echo 
	@echo make unload
	@echo
	@echo And then load the wireless module you need. If unsure run:
	@echo
	@echo make load
	@echo

uninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/net/ieee80211/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko
	@/sbin/depmod -ae
	@if [ -x /usr/sbin/athenable ]; then /usr/sbin/athenable madwifi; fi
	@if [ -x /usr/sbin/b43enable ]; then /usr/sbin/b43enable bcm43xx; fi
	@echo
	@echo "Your old wireless subsystem modules were left intact:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@# rc80211_simple is a module on 2.6.22 and 2.6.23 though
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l at76_usb
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l rc80211_simple
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l ieee80211
	@$(MODPROBE) -l ieee80211_crypt
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l ub8xxx
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@# rc80211_simple is no longer a module
	@#$(MODPROBE) -l rc80211_simple
	@$(MODPROBE) -l zd1211rw
	@# Old kernels have ieee80211softmac, this will be removed soon :)
	@$(MODPROBE) -l ieee80211softmac
	@
	@echo 

clean:
	@rm -f compat-release
	@if [ -d net -a -d $(KLIB_BUILD) ]; then \
		$(MAKE) -C $(KLIB_BUILD) M=$(PWD) clean ;\
	fi
	@rm -f $(CREL_PRE)*
unload:
	@./scripts/unload.sh

load: unload
	@./scripts/load.sh

.PHONY: all clean install uninstall unload load

endif

clean-files += Module.symvers modules.order $(CREL_CHECK) $(CONFIG_CHECK)

=== updates/hwmon/Makefile ===
obj-m	+= applesmc.o

=== updates/input/mouse/Makefile ===
obj-m	+= bcm5974.o

=== updates/input/tablet/Makefile ===
wacom-objs	:= wacom_wac.o wacom_sys.o

obj-m	+= wacom.o

=== updates/media/usbvideo/Makefile ===
EXTRA_CFLAGS += -I$(src)/include
obj-m		:= uvcvideo.o
uvcvideo-objs   := uvc_driver.o uvc_queue.o uvc_v4l2.o uvc_video.o uvc_ctrl.o uvc_status.o uvc_isight.o uvc_isight_firmware.o

=== updates/net/e1000e/Makefile ===
################################################################################
#
# Intel PRO/1000 Linux driver
# Copyright(c) 1999 - 2008 Intel Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
#
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# Linux NICS <linux.nics@intel.com>
# e1000-devel Mailing List <e1000-devel@lists.sourceforge.net>
# Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497
#
################################################################################

#
# Makefile for the Intel(R) PRO/1000 ethernet driver
#

obj-m += e1000e.o

e1000e-objs := 82571.o ich8lan.o es2lan.o \
	       lib.o phy.o param.o ethtool.o netdev.o

=== updates/compat-wireless-2.6/net/ieee80211/Makefile ===
obj-$(CONFIG_IEEE80211) += lbm_cw-ieee80211.o
lbm_cw-ieee80211-objs := ieee80211.o
obj-$(CONFIG_IEEE80211) += lbm_cw-ieee80211_crypt.o
lbm_cw-ieee80211_crypt-objs := ieee80211_crypt.o
obj-$(CONFIG_IEEE80211_CRYPT_WEP) += lbm_cw-ieee80211_crypt_wep.o
lbm_cw-ieee80211_crypt_wep-objs := ieee80211_crypt_wep.o
obj-$(CONFIG_IEEE80211_CRYPT_CCMP) += lbm_cw-ieee80211_crypt_ccmp.o
lbm_cw-ieee80211_crypt_ccmp-objs := ieee80211_crypt_ccmp.o
obj-$(CONFIG_IEEE80211_CRYPT_TKIP) += lbm_cw-ieee80211_crypt_tkip.o
lbm_cw-ieee80211_crypt_tkip-objs := ieee80211_crypt_tkip.o
lbm_cw-ieee80211-objs :=         ieee80211_module.o         ieee80211_tx.o         ieee80211_rx.o         ieee80211_wx.o         ieee80211_geo.o

=== updates/compat-wireless-2.6/net/mac80211/Makefile ===
obj-$(CONFIG_MAC80211) += mac80211.o

# mac80211 objects
mac80211-y := \
	main.o \
	wext.o \
	sta_info.o \
	wep.o \
	wpa.o \
	mlme.o \
	iface.o \
	rate.o \
	michael.o \
	tkip.o \
	aes_ccm.o \
	cfg.o \
	rx.o \
	tx.o \
	key.o \
	util.o \
	event.o

mac80211-$(CONFIG_MAC80211_LEDS) += led.o
mac80211-$(CONFIG_MAC80211_QOS) += wme.o
mac80211-$(CONFIG_MAC80211_DEBUGFS) += \
	debugfs.o \
	debugfs_sta.o \
	debugfs_netdev.o \
	debugfs_key.o

mac80211-$(CONFIG_MAC80211_MESH) += \
	mesh.o \
	mesh_pathtbl.o \
	mesh_plink.o \
	mesh_hwmp.o

# objects for PID algorithm
rc80211_pid-y := rc80211_pid_algo.o
rc80211_pid-$(CONFIG_MAC80211_DEBUGFS) += rc80211_pid_debugfs.o

mac80211-$(CONFIG_MAC80211_RC_PID) += $(rc80211_pid-y)

=== updates/compat-wireless-2.6/net/wireless/Makefile ===
obj-$(CONFIG_CFG80211) += lbm_cw-cfg80211.o

lbm_cw-cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o compat.o
lbm_cw-cfg80211-$(CONFIG_NL80211) += nl80211.o

=== updates/iwlwifi/net/mac80211/Makefile ===
obj-$(CONFIG_MAC80211) += mac80211.o

# objects for PID algorithm
rc80211_pid-y := rc80211_pid_algo.o
rc80211_pid-$(CONFIG_MAC80211_DEBUGFS) += rc80211_pid_debugfs.o

# build helper for PID algorithm
rc-pid-y := $(rc80211_pid-y)
rc-pid-m := rc80211_pid.o

# mac80211 objects
mac80211-y := \
	main.o \
	wext.o \
	sta_info.o \
	wep.o \
	wpa.o \
	mlme.o \
	iface.o \
	rate.o \
	michael.o \
	tkip.o \
	aes_ccm.o \
	cfg.o \
	rx.o \
	tx.o \
	key.o \
	util.o \
	event.o

mac80211-$(CONFIG_MAC80211_LEDS) += led.o
mac80211-$(CONFIG_MAC80211_QOS) += wme.o
mac80211-$(CONFIG_MAC80211_DEBUGFS) += \
	debugfs.o \
	debugfs_sta.o \
	debugfs_netdev.o \
	debugfs_key.o

mac80211-$(CONFIG_MAC80211_MESH) += \
	mesh.o \
	mesh_pathtbl.o \
	mesh_plink.o \
	mesh_hwmp.o


# Build rate control algorithm(s)
CFLAGS_rc80211_pid_algo.o += -DRC80211_PID_COMPILE
mac80211-$(CONFIG_MAC80211_RC_PID) += $(rc-pid-$(CONFIG_MAC80211_RC_PID))

# Modular rate algorithms are assigned to mac80211-m - make separate modules
obj-m += $(mac80211-m)

=== updates/iwlwifi/net/wireless/Makefile ===
obj-$(CONFIG_CFG80211) += cfg80211.o

cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o compat.o
cfg80211-$(CONFIG_NL80211) += nl80211.o

=== debian/changelog ===
linux-backports-modules-2.6.24 (2.6.24-29.88netbook01) netbook-common; urgency=low

  [Ike Panhc]

  * Bump ABI to -29

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 21 Apr 2011 14:22:49 +0800

=== debian/control ===
Source: linux-backports-modules-2.6.24
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-29-386 [i386], linux-headers-lum-2.6.24-29-386 [i386], linux-headers-2.6.24-29-generic [i386 amd64], linux-headers-lum-2.6.24-29-generic [i386 amd64], linux-headers-2.6.24-29-hppa32 [hppa], linux-headers-lum-2.6.24-29-hppa32 [hppa], linux-headers-2.6.24-29-hppa64 [hppa], linux-headers-lum-2.6.24-29-hppa64 [hppa], linux-headers-2.6.24-29-itanium [ia64], linux-headers-lum-2.6.24-29-itanium [ia64], linux-headers-2.6.24-29-lpia [lpia], linux-headers-lum-2.6.24-29-lpia [lpia], linux-headers-2.6.24-29-mckinley [ia64], linux-headers-lum-2.6.24-29-mckinley [ia64], linux-headers-2.6.24-29-openvz [i386 amd64], linux-headers-lum-2.6.24-29-openvz [i386 amd64], linux-headers-2.6.24-29-powerpc [powerpc], linux-headers-lum-2.6.24-29-powerpc [powerpc], linux-headers-2.6.24-29-powerpc-smp [powerpc], linux-headers-lum-2.6.24-29-powerpc-smp [powerpc], linux-headers-2.6.24-29-powerpc64-smp [powerpc], linux-headers-lum-2.6.24-29-powerpc64-smp [powerpc], linux-headers-2.6.24-29-rt [i386 amd64], linux-headers-lum-2.6.24-29-rt [i386 amd64], linux-headers-2.6.24-29-server [i386 amd64], linux-headers-lum-2.6.24-29-server [i386 amd64], linux-headers-2.6.24-29-sparc64 [sparc], linux-headers-lum-2.6.24-29-sparc64 [sparc], linux-headers-2.6.24-29-sparc64-smp [sparc], linux-headers-lum-2.6.24-29-sparc64-smp [sparc], linux-headers-2.6.24-29-virtual [i386], linux-headers-lum-2.6.24-29-virtual [i386], linux-headers-2.6.24-29-xen [i386 amd64], linux-headers-lum-2.6.24-29-xen [i386 amd64]

Package: linux-headers-lbm-2.6.24-29
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-29/debian.README.gz for details

Package: linux-backports-modules-2.6.24-29-386
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-29-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-29-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-29-386, linux-headers-lum-2.6.24-29-386
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-29/debian.README.gz for details

Package: linux-backports-modules-2.6.24-29-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-29-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-29-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-29-generic, linux-headers-lum-2.6.24-29-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-29/debian.README.gz for details

Package: linux-backports-modules-2.6.24-29-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-29-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-29-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-29-hppa32, linux-headers-lum-2.6.24-29-hppa32
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-29/debian.README.gz for details

Package: linux-backports-modules-2.6.24-29-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-29-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-29-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-29-hppa64, linux-headers-lum-2.6.24-29-hppa64
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-29/debian.README.gz for details

Package: linux-backports-modules-2.6.24-29-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-29-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-29-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-29-itanium, linux-headers-lum-2.6.24-29-itanium
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-29/debian.README.gz for details

Package: linux-backports-modules-2.6.24-29-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-29-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-29-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-29-lpia, linux-headers-lum-2.6.24-29-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-29/debian.README.gz for details

Package: linux-backports-modules-2.6.24-29-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-29-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-29-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-29-mckinley, linux-headers-lum-2.6.24-29-mckinley
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-29/debian.README.gz for details

Package: linux-backports-modules-2.6.24-29-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-29-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-29-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-29-openvz, linux-headers-lum-2.6.24-29-openvz
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-29/debian.README.gz for details

Package: linux-backports-modules-2.6.24-29-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-29-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-29-powerpc
Architecture: powerpc
Section: base
Priority: optional

## linux-backports-modules-2.6.24 2.6.24-32.44

=== updates/net/e1000e/Makefile ===
--- 
+++ 
@@ -32,6 +32,5 @@
 
 obj-m += e1000e.o
 
-e1000e-objs := 82571.o ich8lan.o es2lan.o \
-	       lib.o phy.o param.o ethtool.o netdev.o
-
+e1000e-objs :=	80003es2lan.o 82571.o ethtool.o ich8lan.o kcompat.o \
+		mac.o manage.o netdev.o nvm.o param.o phy.o

=== debian/changelog ===
linux-backports-modules-2.6.24 (2.6.24-32.44) hardy-proposed; urgency=low

  * Bump ABI to -32

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 02 Jul 2012 16:49:08 +0100

linux-backports-modules-2.6.24 (2.6.24-31.43) hardy-proposed; urgency=low

  * Bump ABI to -31

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 14 Feb 2012 10:55:16 -0200

linux-backports-modules-2.6.24 (2.6.24-30.42) hardy-proposed; urgency=low

  [Upstream Kernel Changes]

  * e1000e: Update driver to Intel v1.3.17
    - LP: #805854

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Mon, 07 Nov 2011 20:48:40 -0200

linux-backports-modules-2.6.24 (2.6.24-29.41) hardy; urgency=low

  [Tim Gardner]

  * Disable compat-wireless for HPPA
    Fixes HPPA FTBS
    - LP: #745216

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 29 Mar 2011 14:21:28 -0600

linux-backports-modules-2.6.24 (2.6.24-29.40) hardy; urgency=low

  [Tim Gardner]

  * No change rebuild. LUM headers had incorrect ABI in debian/control

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 24 Mar 2011 15:14:34 +0000

linux-backports-modules-2.6.24 (2.6.24-29.39) hardy; urgency=low

  [Upstream Kernel Changes]

  * Correctly regenerate debian/control, etc. The previous upload was
    still referring to the 28 ABI.

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 23 Mar 2011 21:38:41 +0000

linux-backports-modules-2.6.24 (2.6.24-29.38) hardy-proposed; urgency=low

  [Brad Figg]

  * Bump ABI to -29

 -- Brad Figg <brad.figg@canonical.com>  Wed, 16 Mar 2011 11:35:41 -0700

linux-backports-modules-2.6.24 (2.6.24-28.37) hardy-security; urgency=low

  [Stefan Bader]

  * Bump ABI to -28 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 07 May 2010 12:57:29 +0000

linux-backports-modules-2.6.24 (2.6.24-27.36) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump ABI to -27 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 25 Jan 2010 10:50:57 -0800

linux-backports-modules-2.6.24 (2.6.24-26.35) hardy-proposed; urgency=low

  [Ike Panhc]

  * rt2x00: Hardcode TX ack timeout and consume time
    - LP: #444377
  * SAUCE: Report TX retry and fail count to mac80211 in rt73usb
    - LP: #444377

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 08 Dec 2009 11:00:24 +0100

linux-backports-modules-2.6.24 (2.6.24-26.34) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump ABI to -26 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 01 Dec 2009 00:05:08 -0800

linux-backports-modules-2.6.24 (2.6.24-25.33) hardy-security; urgency=low

  Bump ABI to -25 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 12:38:24 -0700

linux-backports-modules-2.6.24 (2.6.24-24.32) hardy-proposed; urgency=low

  [Stefan Bader]

  * SAUCE: compat-wireless: Fix module load for crypto modules
    - LP: #322434

  [Upstream Kernel Changes]

  * rt2x00: Fix race conditions in flag handling
    - LP: #258985
  * iwlwifi: scan correct setting of valid rx_chains
    - LP: #330902

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 25 Feb 2009 17:46:49 +0100

=== debian/control ===
Source: linux-backports-modules-2.6.24
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-32-386 [i386], linux-headers-lum-2.6.24-32-386 [i386], linux-headers-2.6.24-32-generic [i386 amd64], linux-headers-lum-2.6.24-32-generic [i386 amd64], linux-headers-2.6.24-32-hppa32 [hppa], linux-headers-lum-2.6.24-32-hppa32 [hppa], linux-headers-2.6.24-32-hppa64 [hppa], linux-headers-lum-2.6.24-32-hppa64 [hppa], linux-headers-2.6.24-32-itanium [ia64], linux-headers-lum-2.6.24-32-itanium [ia64], linux-headers-2.6.24-32-lpia [lpia], linux-headers-lum-2.6.24-32-lpia [lpia], linux-headers-2.6.24-32-lpiacompat [lpia], linux-headers-lum-2.6.24-32-lpiacompat [lpia], linux-headers-2.6.24-32-mckinley [ia64], linux-headers-lum-2.6.24-32-mckinley [ia64], linux-headers-2.6.24-32-openvz [i386 amd64], linux-headers-lum-2.6.24-32-openvz [i386 amd64], linux-headers-2.6.24-32-powerpc [powerpc], linux-headers-lum-2.6.24-32-powerpc [powerpc], linux-headers-2.6.24-32-powerpc-smp [powerpc], linux-headers-lum-2.6.24-32-powerpc-smp [powerpc], linux-headers-2.6.24-32-powerpc64-smp [powerpc], linux-headers-lum-2.6.24-32-powerpc64-smp [powerpc], linux-headers-2.6.24-32-rt [i386 amd64], linux-headers-lum-2.6.24-32-rt [i386 amd64], linux-headers-2.6.24-32-server [i386 amd64], linux-headers-lum-2.6.24-32-server [i386 amd64], linux-headers-2.6.24-32-sparc64 [sparc], linux-headers-lum-2.6.24-32-sparc64 [sparc], linux-headers-2.6.24-32-sparc64-smp [sparc], linux-headers-lum-2.6.24-32-sparc64-smp [sparc], linux-headers-2.6.24-32-virtual [i386], linux-headers-lum-2.6.24-32-virtual [i386], linux-headers-2.6.24-32-xen [i386 amd64], linux-headers-lum-2.6.24-32-xen [i386 amd64]

Package: linux-headers-lbm-2.6.24-32
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-386
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-386, linux-headers-lum-2.6.24-32-386
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-generic, linux-headers-lum-2.6.24-32-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-hppa32, linux-headers-lum-2.6.24-32-hppa32
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-hppa64, linux-headers-lum-2.6.24-32-hppa64
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-itanium, linux-headers-lum-2.6.24-32-itanium
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-lpia, linux-headers-lum-2.6.24-32-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpiacompat.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-lpiacompat, linux-headers-lum-2.6.24-32-lpiacompat
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-mckinley, linux-headers-lum-2.6.24-32-mckinley
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-openvz
Architecture: i386 amd64
